MarkyV
Posts: 97
Joined: Wed Sep 21, 2016 1:52 pm
Location: Buckingham, UK
Contact: Website

Apt-Get Blender 2.8

Wed Aug 28, 2019 6:24 pm

Hello Everybody

Really cool that with a Pi4 you can run Blender at a reasonable frame rate - is there any word when 2.8 will be available via apt-get install - I'm pretty much so switched over to 2.8 that 2.79 feels difficult to use now :(

Any info much appreciated :)

MarkyV
My RaspberryPi Blog: http://thepimaker.online

DirkS
Posts: 10395
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Apt-Get Blender 2.8

Wed Aug 28, 2019 6:31 pm

MarkyV wrote:
Wed Aug 28, 2019 6:24 pm
Hello Everybody

Really cool that with a Pi4 you can run Blender at a reasonable frame rate - is there any word when 2.8 will be available via apt-get install
You will have to ask the Debian packagers as Raspbian simply follows the Debian repos.
It will most likely not happen until the successor of Buster is released.

MarkyV
Posts: 97
Joined: Wed Sep 21, 2016 1:52 pm
Location: Buckingham, UK
Contact: Website

Re: Apt-Get Blender 2.8

Wed Aug 28, 2019 7:02 pm

Hmm - after a bit more digging it may be a compatibility issue as Blender 2.8 requires OpenGL 3.3 and RPi 4 only supports OpenGL ES 3.0 - is this something that is likely to change with updates or is this a hardware limit do you think?

Thanks,

MarkyV
My RaspberryPi Blog: http://thepimaker.online

BohdanOpyr
Posts: 1
Joined: Wed Mar 20, 2019 1:15 pm

Re: Apt-Get Blender 2.8

Wed Dec 25, 2019 10:31 am

I was able to run it on kali linux raspbian build, so I don't think that's a hardware problem. Hoever, I wasn't getting even remotely close to a normal framerate... So...

User avatar
Gavinmc42
Posts: 4556
Joined: Wed Aug 28, 2013 3:31 am

Re: Apt-Get Blender 2.8

Wed Dec 25, 2019 11:28 am

2.79 is the last version that will run with OpenGL 2.1(Pi4)
2.80+ needs minimum OpenGL 3.3, it's is a hardware/driver issue.
If you do get 2.8+ working then it is probably software rendering?
I'm dancing on Rainbows.
Raspberries are not Apples or Oranges

Lipown
Posts: 127
Joined: Sun Oct 13, 2019 8:32 am

Re: Apt-Get Blender 2.8

Wed Dec 25, 2019 12:11 pm

Is there any other tool for parametric modeling like freecad (crashing after opening any files)?

spock
Posts: 222
Joined: Sun Oct 02, 2011 10:33 am

Re: Apt-Get Blender 2.8

Wed Dec 25, 2019 7:48 pm

maybe openscad?

User avatar
Gavinmc42
Posts: 4556
Joined: Wed Aug 28, 2013 3:31 am

Re: Apt-Get Blender 2.8

Thu Dec 26, 2019 7:17 am

Blender for Artists 1.0 is based on Blender 2.79.
AOI - Art of Illusion.
Wings3D
OpenSCAD.

Got those working, but if it does not get fixed soon I might learn how to fix FreeCAD myself.
I'm dancing on Rainbows.
Raspberries are not Apples or Oranges

User avatar
rpdom
Posts: 17450
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: Apt-Get Blender 2.8

Thu Dec 26, 2019 7:39 am

Blender 2.80 is available in Raspbian Bullseye (the successor to Buster). I haven't tried it on a Pi to see if it works yet.

If I get a chance later (and remember) I'll dig out a spare SD card and transfer my test Buster system to it, install blender and see how it goes.

I'm planning to use blender for a project later this year. It would be good to be able to run it on a Pi 4B 4GB as well as my laptop.
Unreadable squiggle

anubis4d
Posts: 2
Joined: Wed Jun 19, 2013 3:14 pm

Re: Apt-Get Blender 2.8

Sun Mar 29, 2020 1:42 am

I would love to see if it runs greasepencil on blender 2.8 well enough to make 2D Cartoons with the wacom tablet and my lapdock.
Image

User avatar
Gavinmc42
Posts: 4556
Joined: Wed Aug 28, 2013 3:31 am

Re: Apt-Get Blender 2.8

Sun Mar 29, 2020 4:03 am

Blender 2.8 won't happen unless it can be compiled for OpenGLES 3.0 or 3.1.
When Vulkan is working on Pi4 then there might be a chance.

Inkscape works.
Love2D?
I'm dancing on Rainbows.
Raspberries are not Apples or Oranges

Return to “General discussion”